<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<script>
    function  createNewUser() {
        const user = {
            firstNameHashedAfterMidnight : null,
            lastNameHashedAfterMidnight : null,
            getLogin : function(){
                return `${this.firstName[0]}${this.lastName}`.toLowerCase();
            }
        };

        Object.defineProperty(user, 'firstName', {
            get: function() {
                return this.firstNameHashedAfterMidnight;
                },
            set: function(newName) {
                if (isNaN(newName)) {
                    this.firstNameHashedAfterMidnight = newName;
                }
            }
        });

        Object.defineProperty(user, 'lastName', {
            get: function() { return this.lastNameHashedAfterMidnight; },
            set: function(newLastName) {
                if (isNaN(newLastName)) {
                    this.lastNameHashedAfterMidnight = newLastName;
                }
            }
            });

        return user;
    };

    const user = createNewUser();
    let newUserName = prompt("новое имя пользователя");
    let newUserLastName = prompt("новая фамилия пользователя");

    user.firstName = newUserName;
    user.lastName = newUserLastName;
    console.log(user.getLogin());
</script>
</body>
</html>